While the XS code has a conditional for not compiling in IN_EXCL_UNLINK, the export list in Inotify2.pm does not. This is causing tests to break for me on CentOS 6. Essentially I can't load the module.

Possible fix:

diff --git a/Inotify2.pm b/Inotify2.pm
index 4b6ad8bc6..3ed81e6ec 100644
--- a/Inotify2.pm
+++ b/Inotify2.pm
@@ -428,6 +428,7 @@ sub fullname {
 }
 
 for my $name (@Linux::Inotify2::EXPORT) {
+   next unless Linux::Inotify2->can($name);
    my $mask = &{"Linux::Inotify2::$name"};
 
    *$name = sub { $_[0]{mask} & $mask };